Subject: Re: [alto] Éric Vyncke's No Objection on draft-ietf-alto-cdni-request-routing-alto-17: (with COMMENT)

From: Jensen Zhang <[email-masked]>
Date: Tue, 14 Dec 2021 17:45:04 +0800

Hi Éric,

A new version that echoes the replies already provided in this thread is
available:

URL:            https://www.ietf.org/archive/id/draft-ietf-alto-cdni
-request-routing-alto-18.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-alto-cdni
-request-routing-alto/
Htmlized:
https://datatracker.ietf.org/doc/html/draft-ietf-alto-cdni-request-routing-alto-18
Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-cdni-request-routing-alto-18.txt

Some more context is provided inline for some changes made in this version
to better address your comments.

Please let me know if you still have any comments. Thanks.

Cheers,
Jensen

On Tue, Nov 30, 2021 at 11:20 PM Éric Vyncke via Datatracker <
[email-masked]> wrote:

> Éric Vyncke has entered the following ballot position for
> draft-ietf-alto-cdni-request-routing-alto-17: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-alto-cdni-request-routing-alto/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you for the work put into this document.
>
> Please find below some non-blocking COMMENT points (but replies would be
> appreciated even if only for my own education).
>
> Special thanks to Vijay Kurbanifor for the shepherd's write-up including
> the
> section about the WG consensus.
>
> Other special thanks to Donald Eastlake for the Internet directorate at:
>
> https://datatracker.ietf.org/doc/review-ietf-alto-cdni-request-routing-alto-17-intdir-telechat-eastlake-2021-11-26/
> I would appreciate it if you replied to Donald's comments.
>
> I hope that this helps to improve the document,
>
> Regards,
>
> -éric
>
> -- Section 3.6 --
> Suggest to add "https/2.0" as delivery protocol to appear not too legacy
> ;-)
>

The delivery protocol needs to be registered to IANA CDNI Metadata Protocol
Type registry (
https://www.iana.org/assignments/cdni-parameters/cdni-parameters.xhtml#metadata-protocol-types)
[RFC8006]. "https/2.0" has not been registered yet. I believe it will
appear in the near future. But at this moment, we decide not to add it in
the examples.

>
> -- Sectin 3.7.2 --
> Any reason why there is no IPv6 examples ? (Feel free to ignore my
> question)
> The first IPv6/dual-stack examples only appears in section 6.3.3
>

Thanks for catching it. In the new version, we also add ipv6 examples in
the early sections :)

>
> -- Section 6.3.4 --
> Possibly caused by my own lack of expertise in ALTO, but this section
> starts
> with:
>    In this example, the client is interested in updates for the
>    properties "cdni-capabilities" and "pid" of two footprints
>    "ipv4:192.0.2.0/24" and "countrycode:fr".
> But in the example, I fail to see anything related to "countrycode:fr".
>

It does appear in the last incremental update example. As the last event
uses JSON patch, not JSON merge path, "countrycode:fr" appears in the
updated JSON "path":

    ...
    data:     "path":
    data:     "/property-map/*countrycode:fr*/my-default-networkmap.pid",
    ...

>
>
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Tue, 14 Dec 2021 09:52:24 +0000

Hello Jensen,

Thank you for addressing my comments, the document is better in that way.

Regards

-éric

From: Jensen Zhang <[email-masked]>
Date: Tuesday, 14 December 2021 at 10:45
To: Eric Vyncke <[email-masked]>
Cc: The IESG <[email-masked]>, Donald Eastlake <[email-masked]>, alto-chairs <[email-masked]>, IETF ALTO <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [alto] Éric Vyncke's No Objection on draft-ietf-alto-cdni-request-routing-alto-17: (with COMMENT)

Hi Éric,

A new version that echoes the replies already provided in this thread is available:

URL:            https://www.ietf.org/archive/id/draft-ietf-alto-cdni-request-routing-alto-18.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-alto-cdni-request-routing-alto/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-alto-cdni-request-routing-alto-18
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-alto-cdni-request-routing-alto-18.txt

Some more context is provided inline for some changes made in this version to better address your comments.

Cheers,
Jensen

On Tue, Nov 30, 2021 at 11:20 PM Éric Vyncke via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:
Éric Vyncke has entered the following ballot position for
draft-ietf-alto-cdni-request-routing-alto-17: No Objection

Special thanks to Vijay Kurbanifor for the shepherd's write-up including the
section about the WG consensus.

Regards,

-éric

-- Section 3.6 --
Suggest to add "https/2.0" as delivery protocol to appear not too legacy ;-)

The delivery protocol needs to be registered to IANA CDNI Metadata Protocol Type registry (https://www.iana.org/assignments/cdni-parameters/cdni-parameters.xhtml#metadata-protocol-types) [RFC8006]. "https/2.0" has not been registered yet. I believe it will appear in the near future. But at this moment, we decide not to add it in the examples.

-- Sectin 3.7.2 --
Any reason why there is no IPv6 examples ? (Feel free to ignore my question)
The first IPv6/dual-stack examples only appears in section 6.3.3

Thanks for catching it. In the new version, we also add ipv6 examples in the early sections :)

-- Section 6.3.4 --
Possibly caused by my own lack of expertise in ALTO, but this section starts
with:
   In this example, the client is interested in updates for the
   properties "cdni-capabilities" and "pid" of two footprints
   "ipv4:192.0.2.0/24<http://192.0.2.0/24>" and "countrycode:fr".
But in the example, I fail to see anything related to "countrycode:fr".

It does appear in the last incremental update example. As the last event uses JSON patch, not JSON merge path, "countrycode:fr" appears in the updated JSON "path":

    ...
    data:     "path":
    data:     "/property-map/countrycode:fr/my-default-networkmap.pid",
    ...

_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto